Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Axis & Allies 1942 Online is now available in Early Access! Buy it on Steam. The FAQ is available.
New Premium Module: Tyrants of the Moonsea! Read More
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

beamdog client on Ubuntu 18.04.2

anastielanastiel Member, Translator (NDA) Posts: 205
edited May 27 in Beamdog Client
[NEW]
I spent a few days to solve the client's problems for linux, as I know in linux I went behind everything



I had to install the following packages before installing the beamdog launcher.

sudo apt install libgnome-keyring-dev
sudo apt install libcanberra-gtk-module libcanberra-gtk3-module
sudo apt install libgconf2-4

after this it is necessary to add the x86 architecture
sudo dpkg --add-architecture i386
and
sudo apt install libssl1.0.0:i386

download the client
http://client.beamdog.com/download/latest
and ready to just connect your account and play the game.







[OLD]
this client is not installing on my computer and whenever the startup, an error occurs, but it works normally, I would like to know how I install the package
every time to start the client is necessary using ./beamdogClient-2.1.10-x86_64.AppImage in terminal
I can not find the log generated from appimage



only I would like to know if there is a possibility in the future to make this electron package installable, and to solve this bug, since it does not save the credentials as user and password.

thanks support.

I had to install these two packages
libgtk2.0-0:i386
libgconf2-4


even though the credentials error occurred, I will try to extract the packages from appimage and read the code and see if it has any wrong syntax


hum error

The Beamdog Client encountered an error trying to run Baldur's Gate: Enhanced Edition (Retail). Please contact Beamdog support and mention exit code: 127

Post edited by anastiel on
JuliusBorisovlolien

Comments

  • anastielanastiel Member, Translator (NDA) Posts: 205
    @JuliusBorisov is there a possibility of support for ubuntu 18.04?

  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 18,813
    anastiel wrote: »
    @JuliusBorisov is there a possibility of support for ubuntu 18.04?

    Try and log it as an issue at https://support.baldursgate.com/projects/beamdog-client-public-bugs so that the team could triage it.

    lolienTorgrimmeranastiel
  • anastielanastiel Member, Translator (NDA) Posts: 205
  • anastielanastiel Member, Translator (NDA) Posts: 205
    update, work perfect in Ubuntu and possible in others distro linux.

    JuliusBorisov
  • kenlcochrankenlcochran Member Posts: 2
    @anastiel , can you please share your solution. I am having a similar problem on a new Ubuntu 18.04.2 install. I have created Bug 40548 a week ago, with no updates. I followed your suggested package installs from this forum, but still stuck with "exit code: 127".

    Any help would be appreciated. Thank you.

  • anastielanastiel Member, Translator (NDA) Posts: 205
    If you start the game by the directory in Linux, / Beamdog Library/
    the game will work, but by the client it will not really work, it's a problem inside appimage and I could not solve it since it started in the newest update, in the old the game worked.

    even solving the error of 127 in this current version the game does not work
    54304qoqq5z9.png

    Set up queue
    Planescape Torment: Enhanced Edition (Retail) exited with code 127
    Failure - "/home/anastiel/.config/Beamdog Client/steam-runtime-release_2014-04-15/run.sh" "/home/anastiel/Beamdog Library/00827/Torment"
    All windows closed
    Start closing down


    I went back to windows after this problem, as I see only works on these linux distributions
    Linux: Built for Ubuntu 16.04, confirmed to work on Ubuntu 16.04 or later, Fedora 24, and Debian 9.

    JuliusBorisov
  • anastielanastiel Member, Translator (NDA) Posts: 205
    I'm trying to solve the problem in ubuntu 18.04.2

  • kenlcochrankenlcochran Member Posts: 2
    Thank you for promptly replying. Sorry I was absent after my comment, I've been busy at work. I tried your suggestion directly from the command line and got the, "We just crashed hard" message. I also ran the command suggested in the Linux ReadMe, "ldd nwmain-linux", that shows I have all the required libraries. If personal time allows, I may try installing Debian 9 or Fedora 24. I will share my experiences back on the forum. Thank you.

  • anastielanastiel Member, Translator (NDA) Posts: 205
    not yet updated, possible issue comes within the appimage package, and unfortunately I can't open it and see what issues are occurring, but I believe the developer team will soon fix this little issue but it is possible to start the game without the client Beamdog Started just go to the game directory and double click on the executable for game.

  • cinternewcinternew Member Posts: 1
    edited September 4
    I just wanted to add something that may work. I had to do this to get Neverwinter Nights Enhanced Edition to work. I have a HP Elitebook with intel hd 4400 graphics. This is what I had to do to eliminate all issues. This is a combination of what was posted here and what was in the readme file and adding libgl-mesa-glx:i386.


    sudo apt install libgnome-keyring-dev
    sudo apt install libcanberra-gtk-module libcanberra-gtk3-module
    sudo apt install libgconf2-4
    sudo dpkg --add-architecture i386
    sudo apt update
    sudo apt install lib32stdc++6
    sudo apt install libopenal1:i386
    sudo apt install libgl1-mesa-glx:i386

    Post edited by cinternew on
    anastielJuliusBorisov
Sign In or Register to comment.